name: zhiying_base_widget
description: A new Flutter plugin.
version: 0.0.1
author:
homepage:

environment:
  sdk: ">=2.8.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  flutter_swiper: ^1.1.6
  bloc: ^4.0.0
  event_bus: ^1.1.1
  pull_to_refresh:
    git:
      url: 'http://192.168.0.138:3000/FnuoOS_ZhiYing/flutter_pulltorefresh.git'
      ref: '0.0.1'
  flutter_cupertino_date_picker:
    git:
      url: 'http://192.168.0.138:3000/FnuoOS_ZhiYing/flutter-cupertino-date-picker.git'
      ref: '0.0.1'
  image_picker: ^0.6.7+3
  tab_indicator_styler: 1.0.0
  connectivity: ^0.4.9+3
  image_cropper:
    git:
      url: 'http://192.168.0.138:3000/FnuoOS_Flutter_Components/Image_Cropper.git'
      ref: '1.2.3+1'
  # 系统分享
  share_extend: ^1.1.9
  flutter_native_image: ^0.0.5
  #字符检测
  string_validator: 0.1.4
  # 列表滑动删除
  flutter_slidable: 0.5.7
  #  image_gallery_saver: ^1.6.0
  permission_handler:
    git:
      ref: 0.0.1
      url: http://192.168.0.138:3000/FnuoOS_Flutter_Components/permission_handler.git

  more_picture_share:
    git:
      url: 'http://192.168.0.138:3000/FnuoOS_ZhiYing/more_picture_share.git'
      ref: '0.0.1'

  intl: 0.16.1

  loading_indicator: ^1.2.0

  #高德定位
  amap_flutter_location: ^1.0.1


  mobpush_plugin:
  plugin_platform_interface: ^1.0.1
  permission_handler_platform_interface: ^2.0.1

  flutter_user_agent: ^1.2.2



dev_dependencies:
  flutter_test:
    sdk: flutter

  zhiying_comm:
    path: ../zhiying_comm

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # This section identifies this Flutter project as a plugin project.
  # The androidPackage and pluginClass identifiers should not ordinarily
  # be modified. They are used by the tooling to maintain consistency when
  # adding or updating assets for this project.
  plugin:
    androidPackage: cn.zhios.zhiying_base_widget
    pluginClass: ZhiyingBaseWidgetPlugin

  # To add assets to your plugin package, add an assets section, like this:
  assets:
    - assets/images/launch_image/launch_image.png
    - assets/images/empty/empty.png
    - assets/images/qrcode/default_qrcode.png
    - assets/images/loading/loading.gif
    - assets/images/occupation_map/occupation_map.png
  #
  # For details regarding assets in packages, see
  # https://flutter.dev/assets-and-images/#from-packages
  #
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # To add custom fonts to your plugin package, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  #
  # For details regarding fonts in packages, see
  # https://flutter.dev/custom-fonts/#from-packages
